import { ILoginResponse } from "../interfaces/authentication";
import { IGenericApiError } from "../interfaces/generics";
export declare const authenticate: (email: string, password: string) => Promise<{
    data: IGenericApiError | ILoginResponse;
    statusCode: number;
}>;
export declare const logOut: () => Promise<{
    data: IGenericApiError | ILoginResponse;
    statusCode: number;
    breadCrumbs?: import("../interfaces/breadCrumbs").IBreadcrumbs | undefined;
}>;
export declare const validateCode: (code: string) => Promise<{
    data: IGenericApiError | ILoginResponse;
    statusCode: number;
}>;
